public class CustomerTest extends junit.framework.TestCase {
	private Customer customer;
	private Movie buffalo66, jungleBook, pulpFiction;

	protected void setUp() {
		customer = new Customer();
		buffalo66 = new Movie("Buffalo 66", Price.NEWRELEASE);
		jungleBook = new Movie("Das Dschungelbuch", Price.REGULAR);
		pulpFiction = new Movie("Pulp Fiction", Price.NEWRELEASE);
	}

	public void testRentingNoMovie() {
		assertEquals(new Euro(0.00), customer.getTotalCharge());
	}

	public void testRentingOneMovie() {
		customer.rentMovie(pulpFiction, 1);
		assertEquals(new Euro(2.00), customer.getTotalCharge());
	}

	public void testRentingThreeMovies() {
		customer.rentMovie(pulpFiction, 2);
		customer.rentMovie(pulpFiction, 3);
		customer.rentMovie(pulpFiction, 4);
		assertEquals(new Euro(11.25), customer.getTotalCharge());
	}

	public void testPrintingStatement() {
		customer.rentMovie(buffalo66, 4);
		customer.rentMovie(jungleBook, 1);
		customer.rentMovie(pulpFiction, 4);
		buffalo66.setPrice(Price.REGULAR);
		String actual = customer.printStatement();
		String expected = "\tBuffalo 66\t3,00\n"
				+ "\tDas Dschungelbuch\t1,50\n" + "\tPulp Fiction\t5,50\n"
				+ "Gesamt: 10,00\n";
		assertEquals(expected, actual);
	}
}